/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * defs.h
 *
 *  Global game constants and type definitions
 *
 *  Created on: 2012-08-10
 *      Author: Sebastian Mihai
 */

#ifndef DEFS_H_
#define DEFS_H_

#define MAX_SHEEP 200
#define MAX_BEARS 50
#define MAX_OBSTACLES 50
#define MAX_DOGS 4

#define ENTITY_BEAR 0
#define ENTITY_SHEEP 1
#define ENTITY_OBSTACLE 2
#define ENTITY_DOG 3

#define STATE_NOT_SPAWNED 0
#define STATE_ON_SCREEN 1
#define STATE_DESPAWNING 2
#define STATE_SPAWNING 3

typedef struct{
	int type;
	int state;
	float radius;
	float x, y;
	float angle;
	int textureIndex;
	float speed;
	float distance;
	//int movementChangeCooldown;
	int remainingFrames;
	float finalRadius;
} entity;



#define PLAYFIELD_WIDTH 2000
#define PLAYFIELD_HEIGHT 1200

// do not spawn entities this far from the boundary of the playfield
#define CONTACT_RADIUS 50.0f

// we are allowed to scroll this much outside the playfield
#define PLAYFIELD_PADDING 250

#endif /* DEFS_H_ */
