/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * engine.h
 *
 *  Logic for interactions between game entities
 *
 *  Created on: 2012-08-10
 *      Author: Sebastian Mihai
 */

#ifndef ENGINE_H_
#define ENGINE_H_

void entities_act();
void detect_collisions();
void render_entities();
void initialize_game();

void spawn_bear();
void spawn_sheep();
void spawn_obstacle();


void detect_safe_sheep( float x, float y, float radius );
void detect_scared_bear( float x, float y, float radius );
void spawn_sheep_coords( int x, int y );
void game_statistics( int *saved, int *eaten );

#endif /* ENGINE_H_ */
