/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * graphics.h
 *
 *  OpenGL-specific routines
 *
 *  Created on: 2012-08-10
 *      Author: Sebastian Mihai
 */

#ifndef GRAPHICS_H_
#define GRAPHICS_H_

#include "defs.h"

void render_entity( entity *e );
void render_playfield();
void load_textures();

void render_save_area_of_effect( float x, float y, float radius );
void render_score( int score );
void render_powerup();
void render_powerup_partial( float percentage );

void render_begin();
void render_end();
void render_swap();

void render_menu();

int assignTexture( int type );
int nextSheepTexture( int currentIndex );
int nextBearTexture( int currentIndex );

void initialize_graphics( int *surfaceW, int *surfaceH );
void scroll_screen( float x, float y );

#endif /* GRAPHICS_H_ */
