/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * input.h
 *
 *  Support for input screen events, such as touching and scrolling
 *
 *  Created on: 2012-08-13
 *      Author: Sebastian Mihai
 */

#ifndef INPUT_H_
#define INPUT_H_

void initialize_input( int surfaceWidth, int surfaceHeight );

// the event handler, this consumes screen events passed to it
void handleScreenEvent(bps_event_t *event);

// supply a scroll handler which is called when srolling occurs. The parameters
// are in game/OGL co-ordinates
void addScrollHandler( void (*scrlHndlr)(float, float) );

// supply a single touch handler which is called when the user touches a point on the screen
// The parameters are in game/OGL co-ordinates
void addSingleTouchHandler( void (*snglTchHndlr)(float, float) );


#endif /* INPUT_H_ */
