/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * util.c
 *
 *  Created on: 2012-08-11
 *      Author: Sebastian Mihai
 */

#include <stdlib.h>
#include <time.h>
#include <math.h>

void startRandomSequence() {
	unsigned int iseed = (unsigned int)time(NULL);
	srand (iseed);
}

int boundedRandom( int bound ) {
	return rand() % bound;
}

double safe_atan2( double x, double y ) {
	if( x == 0.0000000f && y == 0.0000000f ) {
		return 0.0f;
	}

	return atan2( x, y );
}
