/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * util.h
 *
 *  Provides utility functions
 *
 *  Created on: 2012-08-11
 *      Author: Sebastian Mihai
 */

#ifndef UTIL_H_
#define UTIL_H_

#define PI 3.14159265

/*
 * Generate a random integer between 0 and bound-1 inclusive
 */
int boundedRandom( int bound );

/*
 * Seed random number generator (RNG)
 */
void startRandomSequence();

/*
 * Safe arc tangent function
 */
double safe_atan2( double x, double y );

#endif /* UTIL_H_ */
